post
https://partner.gupshup.io/partner/bizgate/app//access/mmlite/messages/send
Sends a lightweight marketing message to a WhatsApp user through the app's marketing channel.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Always "whatsapp". | — | Required | |
| recipient_type | Always "individual"; group recipients are not supported here. | individual | — | Optional |
| to | E.164 without + | 12XXXXXXX92 | — | Required |
| type | text, template, image, … | template | — | Optional |
| template | Required when type=template | — | — | Optional |
Sample cURL — Send marketing message.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/access/mmlite/messages/send' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product" : "whatsapp",
"recipient_type" : "individual",
"to" : "12XXXXXXX92",
"type" : "template",
"template" : {
"name" : "order_delivery_update",
"language" : {
"code" : "en_US"
},
"components" : "string"
}
}'Sample success response (200)
{
"status": "success",
"data": {
"messaging_product": "whatsapp",
"contacts": [
{
"input": "91XXXXXXXX10",
"wa_id": "91XXXXXXXX10"
}
],
"messages": [
{
"id": "wamid.HBgMOTE5ODc2NTQzMjEwFQIAERgSN0YyQzI5..."
}
]
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…